import { OnDestroy, OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { AnimatedBootstrapButtonState, IAnimatedBootstrapButtonSettings } from '@cucurb-it/ngx-animated-bootstrap-button';
import { BehaviorSubject } from 'rxjs';
import { ModalFormHostService } from '../../services/modal-form-host-service/modal-form-host.service';
import { ModalButtons } from '../manager/contracts/modal-buttons';
import { ModalHandle } from '../manager/contracts/modal-handle';
import { IState } from '../manager/contracts/state';
export declare class ModalFormHostComponent implements OnInit, OnDestroy {
    private service;
    constructor(service: ModalFormHostService);
    private destroyed$;
    private manager;
    modalButtons: typeof ModalButtons;
    saveButtonState: AnimatedBootstrapButtonState;
    modalOptions: Partial<IAnimatedBootstrapButtonSettings>;
    handle: ModalHandle;
    handle$: BehaviorSubject<ModalHandle>;
    title: string;
    icon: string;
    buttons: number;
    hasFooter: boolean;
    isDisabled: boolean;
    private formGroup;
    private formGroup$;
    form: NgForm;
    form$: BehaviorSubject<NgForm>;
    state: Partial<IState>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onAnimatedButtonChanged(state: any): void;
    onSubmit(event: Event): void;
    onCancel(): void;
}
